summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-linked-scripts
diff options
context:
space:
mode:
authorPeter Breitenlohner <peb@mppmu.mpg.de>2015-04-20 09:04:48 +0000
committerPeter Breitenlohner <peb@mppmu.mpg.de>2015-04-20 09:04:48 +0000
commit8ec654946636fcfe9ef338448239fd696f564d72 (patch)
treec0d18c273dac5db166f51af1304d4d0cf9f6f6f3 /Master/tlpkg/bin/tl-update-linked-scripts
parent1f84ffaa8e6fa80e0ebdc86c4f5c821d9613d6eb (diff)
Modify tl-update-linked-scripts to update linked_scripts Master=>Build, tl_scripts Build=>Master
git-svn-id: svn://tug.org/texlive/trunk@36969 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-linked-scripts')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-linked-scripts31
1 files changed, 25 insertions, 6 deletions
diff --git a/Master/tlpkg/bin/tl-update-linked-scripts b/Master/tlpkg/bin/tl-update-linked-scripts
index 6168072c237..75504eafdb6 100755
--- a/Master/tlpkg/bin/tl-update-linked-scripts
+++ b/Master/tlpkg/bin/tl-update-linked-scripts
@@ -2,16 +2,12 @@
# $Id$
# Public domain. Originally written 2011, Peter Breitenlohner.
#
-# This script updates the linked scripts under Build
-# (but doesn't commit anything).
+# This script updates the linked scripts (but doesn't commit anything).
mydir=`cd \`dirname $0\` && pwd`
Master=`cd $mydir/../.. && pwd`
-Dest=`cd $Master/../Build/source/texk/texlive/linked_scripts && pwd`
compare_and_copy () {
- Src=$Master/$1/scripts
- shift
for file in "$@"; do
#echo "comparing $Src/$file to $Dest..."
echo "$file" | grep '/context.sh$' >/dev/null && continue # context in flux
@@ -24,11 +20,34 @@ compare_and_copy () {
done
}
+# Master/texmf-dist/scripts => Build/source/texk/texlive/linked_scripts
+
+Dest=`cd $Master/../Build/source/texk/texlive/linked_scripts && pwd`
+Src=$Master/texmf-dist/scripts
+
test -r $Dest/scripts.lst || {
echo "$0: \`$Dest/scripts.lst' missing'"
exit 1
}
+# echo "$Src => $Dest"
+
. $Dest/scripts.lst
-compare_and_copy texmf-dist $texmf_scripts
+compare_and_copy $texmf_scripts
+
+# Build/source/texk/texlive/tl_scripts => Master/texmf-dist/scripts/texlive
+
+Src=`cd $Dest/../tl_scripts && pwd`
+Dest=$Master/texmf-dist/scripts/texlive
+
+test -r $Src/scripts.lst || {
+ echo "$0: \`$Src/scripts.lst' missing'"
+ exit 1
+}
+
+# echo "$Src => $Dest"
+
+. $Src/scripts.lst
+
+compare_and_copy $tl_scripts